package cn.lihongjie.coal.sms.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.sms.dto.CreateSmsDto;
import cn.lihongjie.coal.sms.dto.SmsDto;
import cn.lihongjie.coal.sms.dto.UpdateSmsDto;
import cn.lihongjie.coal.sms.service.SmsService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sms")
@SysLog(module = "短信通知")
@Slf4j
@OrgScope
public class SmsController {
    @Autowired private SmsService service;

    @PostMapping("/create")
    public SmsDto create(@RequestBody CreateSmsDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public SmsDto update(@RequestBody UpdateSmsDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public SmsDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<SmsDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
